<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN"
        "http://www.w3.org/TR/html4/loose.dtd">
<html> <head>
<meta http-equiv="Content-Type" content="text/html; charset=us-ascii">
<title> Postfix manual - postconf(1) </title>
</head> <body> <pre>
POSTCONF(1)                                                        POSTCONF(1)

<b>NAME</b>
       postconf - Postfix configuration utility

<b>SYNOPSIS</b>
       <b>postconf</b> [<b>-dhnv</b>] [<b>-c</b> <i>config</i><b>_</b><i>dir</i>] [<i>parameter ...</i>]

       <b>postconf</b> [<b>-aAmlv</b>] [<b>-c</b> <i>config</i><b>_</b><i>dir</i>]

       <b>postconf</b> [<b>-ev</b>] [<b>-c</b> <i>config</i><b>_</b><i>dir</i>] [<i>parameter=value ...</i>]

       <b>postconf</b> [<b>-#v</b>] [<b>-c</b> <i>config</i><b>_</b><i>dir</i>] [<i>parameter ...</i>]

       <b>postconf</b> [<b>-btv</b>] [<b>-c</b> <i>config</i><b>_</b><i>dir</i>] [<i>template</i><b>_</b><i>file</i>]

<b>DESCRIPTION</b>
       The <a href="postconf.1.html"><b>postconf</b>(1)</a> command displays the actual values of con-
       figuration  parameters,  changes  configuration  parameter
       values,  or displays other configuration information about
       the Postfix mail system.

       Options:

       <b>-a</b>     List the available SASL server plug-in types.   The
              SASL    plug-in   type   is   selected   with   the
              <b><a href="postconf.5.html#smtpd_sasl_type">smtpd_sasl_type</a></b> configuration parameter by specify-
              ing one of the names listed below.

              <b>cyrus</b>  This  server plug-in is available when Post-
                     fix is built with Cyrus SASL support.

              <b>dovecot</b>
                     This server plug-in uses the Dovecot authen-
                     tication server, and is available when Post-
                     fix is built with any form of SASL  support.

              This  feature  is  available  with  Postfix 2.3 and
              later.

       <b>-A</b>     List the available SASL client plug-in types.   The
              SASL    plug-in   type   is   selected   with   the
              <b><a href="postconf.5.html#smtp_sasl_type">smtp_sasl_type</a></b>  or   <b><a href="postconf.5.html#lmtp_sasl_type">lmtp_sasl_type</a></b>   configuration
              parameters  by  specifying  one of the names listed
              below.

              <b>cyrus</b>  This client plug-in is available when  Post-
                     fix is built with Cyrus SASL support.

              This  feature  is  available  with  Postfix 2.3 and
              later.

       <b>-b</b> [<i>template</i><b>_</b><i>file</i>]
              Display the message text that appears at the begin-
              ning  of  delivery  status  notification (DSN) mes-
              sages, with $<b>name</b> expressions  replaced  by  actual
              values.   To  override  the  built-in message text,
              specify a template file at the end of  the  command
              line,  or  specify  a template file in <a href="postconf.5.html">main.cf</a> with
              the  <b><a href="postconf.5.html#bounce_template_file">bounce_template_file</a></b>  parameter.    To   force
              selection  of  the built-in message text templates,
              specify an empty template file name (in shell  lan-
              guage: "").

              This  feature  is  available  with  Postfix 2.3 and
              later.

       <b>-c</b> <i>config</i><b>_</b><i>dir</i>
              The <a href="postconf.5.html"><b>main.cf</b></a> configuration  file  is  in  the  named
              directory  instead  of  the  default  configuration
              directory.

       <b>-d</b>     Print default parameter settings instead of  actual
              settings.

       <b>-e</b>     Edit  the  <a href="postconf.5.html"><b>main.cf</b></a>  configuration file. The file is
              copied to a temporary file then renamed into place.
              Parameters  and values are specified on the command
              line.  Use  quotes  in  order  to   protect   shell
              metacharacters and whitespace.

              With  Postfix  version  2.8 and later, the <b>-e</b> is no
              longer needed.

       <b>-h</b>     Show parameter values only, not the "<i>name =</i> " label
              that normally precedes the value.

       <b>-l</b>     List  the  names  of  all supported mailbox locking
              methods.  Postfix supports the following methods:

              <b>flock</b>  A kernel-based advisory locking  method  for
                     local  files  only.   This locking method is
                     available on systems with a  BSD  compatible
                     library.

              <b>fcntl</b>  A  kernel-based  advisory locking method for
                     local and remote files.

              <b>dotlock</b>
                     An  application-level  locking  method.   An
                     application  locks  a file named <i>filename</i> by
                     creating a file  named  <i>filename</i><b>.lock</b>.   The
                     application  is  expected  to remove its own
                     lock file, as well as stale lock files  that
                     were left behind after abnormal termination.

       <b>-m</b>     List the names of all supported lookup table types.
              In  Postfix  configuration files, lookup tables are
              specified as <i>type</i><b>:</b><i>name</i>, where <i>type</i> is  one  of  the
              types  listed  below. The table <i>name</i> syntax depends
              on the lookup table type as described in the  <a href="DATABASE_README.html">DATA</a>-
              <a href="DATABASE_README.html">BASE_README</a> document.

              <b>btree</b>  A  sorted, balanced tree structure.  This is
                     available on systems with support for Berke-
                     ley DB databases.

              <b>cdb</b>    A  read-optimized  structure with no support
                     for incremental updates.  This is  available
                     on systems with support for CDB databases.

              <b>cidr</b>   A  table  that associates values with Class-
                     less Inter-Domain Routing  (CIDR)  patterns.
                     This is described in <a href="cidr_table.5.html"><b>cidr_table</b>(5)</a>.

              <b>dbm</b>    An indexed file type based on hashing.  This
                     is available on systems with support for DBM
                     databases.

              <b>environ</b>
                     The  UNIX  process  environment  array.  The
                     lookup key is the variable name.  Originally
                     implemented  for  testing,  someone may find
                     this useful someday.

              <b>hash</b>   An indexed file type based on hashing.  This
                     is  available  on  systems  with support for
                     Berkeley DB databases.

              <b>internal</b>
                     A non-shared, in-memory hash table. Its con-
                     tent are lost when a process terminates.

              <b>ldap</b> (read-only)
                     Perform  lookups  using  the  LDAP protocol.
                     This is described in <a href="ldap_table.5.html"><b>ldap_table</b>(5)</a>.

              <b>mysql</b> (read-only)
                     Perform lookups using  the  MYSQL  protocol.
                     This is described in <a href="mysql_table.5.html"><b>mysql_table</b>(5)</a>.

              <b>pcre</b> (read-only)
                     A lookup table based on Perl Compatible Reg-
                     ular  Expressions.  The   file   format   is
                     described in <a href="pcre_table.5.html"><b>pcre_table</b>(5)</a>.

              <b>pgsql</b> (read-only)
                     Perform  lookups using the PostgreSQL proto-
                     col. This is described in <a href="pgsql_table.5.html"><b>pgsql_table</b>(5)</a>.

              <b>proxy</b> (read-only)
                     A lookup table that is implemented  via  the
                     Postfix  <a href="proxymap.8.html"><b>proxymap</b>(8)</a> service. The table name
                     syntax is <i>type</i><b>:</b><i>name</i>.

              <b>regexp</b> (read-only)
                     A lookup table based on regular expressions.
                     The  file  format is described in <a href="regexp_table.5.html"><b>regexp_ta-</b></a>
                     <a href="regexp_table.5.html"><b>ble</b>(5)</a>.

              <b>sdbm</b>   An indexed file type based on hashing.  This
                     is  available  on  systems  with support for
                     SDBM databases.

              <b>sqlite</b> (read-only)
                     Perform lookups from SQLite database  files.
                     This is described in <a href="sqlite_table.5.html"><b>sqlite_table</b>(5)</a>.

              <b>static</b> (read-only)
                     A  table  that  always  returns  its name as
                     lookup result.  For  example,  <b><a href="DATABASE_README.html#types">static</a>:foobar</b>
                     always  returns  the string <b>foobar</b> as lookup
                     result.

              <b>tcp</b> (read-only)
                     Perform lookups using a simple request-reply
                     protocol  that is described in <a href="tcp_table.5.html"><b>tcp_table</b>(5)</a>.

              <b>texthash</b> (read-only)
                     Produces similar  results  as  hash:  files,
                     except  that  you  don't  need  to  run  the
                     <a href="postmap.1.html">postmap(1)</a> command before you  can  use  the
                     file,  and  that  it does not detect changes
                     after the file is read.

              <b>unix</b> (read-only)
                     A limited way to query the UNIX  authentica-
                     tion  database.  The  following  tables  are
                     implemented:

                     <b>unix:passwd.byname</b>
                            The table is the UNIX password  data-
                            base.  The  key is a login name.  The
                            result is a password  file  entry  in
                            <b>passwd</b>(5) format.

                     <b>unix:group.byname</b>
                            The table is the UNIX group database.
                            The key is a group name.  The  result
                            is  a  group  file  entry in <b>group</b>(5)
                            format.

              Other table types may exist depending on how  Post-
              fix was built.

       <b>-n</b>     Print parameter settings that are not left at their
              built-in default value, because they are explicitly
              specified in <a href="postconf.5.html">main.cf</a>.

       <b>-t</b> [<i>template</i><b>_</b><i>file</i>]
              Display the templates for delivery status notifica-
              tion (DSN) messages. To override the built-in  tem-
              plates,  specify  a template file at the end of the
              command line, or specify a template file in <a href="postconf.5.html">main.cf</a>
              with  the <b><a href="postconf.5.html#bounce_template_file">bounce_template_file</a></b> parameter.  To force
              selection of the  built-in  templates,  specify  an
              empty template file name (in shell language: "").

              This  feature  is  available  with  Postfix 2.3 and
              later.

       <b>-v</b>     Enable verbose logging for debugging purposes. Mul-
              tiple  <b>-v</b>  options  make  the software increasingly
              verbose.

       <b>-#</b>     Edit the <a href="postconf.5.html"><b>main.cf</b></a> configuration file.  The  file  is
              copied to a temporary file then renamed into place.
              The parameters specified on the  command  line  are
              commented-out, so that they revert to their default
              values. Specify a  list  of  parameter  names,  not
              name=value  pairs.  There is no <b>postconf</b> command to
              perform the reverse operation.

              This feature is  available  with  Postfix  2.6  and
              later.

<b>DIAGNOSTICS</b>
       Problems are reported to the standard error stream.

<b>ENVIRONMENT</b>
       <b>MAIL_CONFIG</b>
              Directory with Postfix configuration files.

<b>CONFIGURATION PARAMETERS</b>
       The  following  <a href="postconf.5.html"><b>main.cf</b></a> parameters are especially relevant
       to this program.

       The text below provides  only  a  parameter  summary.  See
       <a href="postconf.5.html"><b>postconf</b>(5)</a> for more details including examples.

       <b><a href="postconf.5.html#config_directory">config_directory</a> (see 'postconf -d' output)</b>
              The  default  location  of  the Postfix <a href="postconf.5.html">main.cf</a> and
              <a href="master.5.html">master.cf</a> configuration files.

       <b><a href="postconf.5.html#bounce_template_file">bounce_template_file</a> (empty)</b>
              Pathname of a configuration file with  bounce  mes-
              sage templates.

<b>FILES</b>
       /etc/postfix/<a href="postconf.5.html">main.cf</a>, Postfix configuration parameters

<b>SEE ALSO</b>
       <a href="bounce.5.html">bounce(5)</a>, bounce template file format
       <a href="postconf.5.html">postconf(5)</a>, configuration parameters

<b>README FILES</b>
       <a href="DATABASE_README.html">DATABASE_README</a>, Postfix lookup table overview

<b>LICENSE</b>
       The Secure Mailer license must be  distributed  with  this
       software.

<b>AUTHOR(S)</b>
       Wietse Venema
       IBM T.J. Watson Research
       P.O. Box 704
       Yorktown Heights, NY 10598, USA

                                                                   POSTCONF(1)
</pre> </body> </html>
